## NAME

g.remove - Removes data base element files from the user's current mapset using the search pattern.

## KEYWORDS

general, map management, remove

## SYNOPSIS

g.remove
g.remove --help
g.remove [-irefb] type=datatype[,datatype,...] [name=string[,string,...]] [ignore=string[,string,...]] [pattern=string] [exclude=string] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-i
  Ignore case
-r
  Use basic regular expressions instead of wildcards
-e
  Use extended regular expressions instead of wildcards
-f
  Force removal (required for actual deletion of files)
-b
  Remove base raster maps
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

type=datatype[,datatype,...] [required]
  Data type(s)
  Options: raster, raster_3d, vector, label, region, group, all
  raster: raster map(s)
  raster_3d: 3D raster map(s)
  vector: vector map(s)
  label: paint label file(s)
  region: region definition(s)
  group: imagery group(s)
  all: all types
name=string[,string,...]
  Name of file(s) to remove
ignore=string[,string,...]
  Name of file(s) to ignore (default: none)
pattern=string
  File name search pattern
exclude=string
  File name exclusion pattern (default: none)

## DESCRIPTION

g.remove removes data files matching a pattern given by wildcards or POSIX Extended Regular Expressions. If the -f force flag is not given then nothing is removed, instead the list of selected file names is printed to `stdout` as a preview of the files to be deleted.

## EXAMPLES

Delete `map1` and `map2` raster maps in the current mapset:

    g.remove -f type=raster name=tmp1,tmp2

Delete all raster and vector maps starting with "`tmp_`" in the current mapset:

    # show matching raster and vector maps but do not delete yet (as verification)
    g.remove type=raster,vector pattern="tmp_*"

    # actually delete the matching raster and vector maps
    g.remove -f type=raster,vector pattern="tmp_*"

Delete all vector maps starting with "`stream_`" in the current mapset, but exclude those ending with "`_final`":

    g.remove -f type=vector pattern="stream_*" exclude="*_final"

## AUTHOR

Huidae Cho
grass4u@gmail.com

## SOURCE CODE

Available at: g.remove source code (history)

Accessed: Friday May 12 15:04:08 2023

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.2.1 Reference Manual